r3108 - packages/trunk/alien-arena/debian/patches

Andres Mejia ceros-guest at alioth.debian.org
Fri Jun 29 03:47:25 UTC 2007


Author: ceros-guest
Date: 2007-06-29 03:47:25 +0000 (Fri, 29 Jun 2007)
New Revision: 3108

Added:
   packages/trunk/alien-arena/debian/patches/makefile_modifications.dpatch
Log:
Updating debian folder to what is on diff.gz in mentors.debian.net

Added: packages/trunk/alien-arena/debian/patches/makefile_modifications.dpatch
===================================================================
--- packages/trunk/alien-arena/debian/patches/makefile_modifications.dpatch	                        (rev 0)
+++ packages/trunk/alien-arena/debian/patches/makefile_modifications.dpatch	2007-06-29 03:47:25 UTC (rev 3108)
@@ -0,0 +1,98 @@
+#! /bin/sh -e
+## makefile_modifications.dpatch by Andres Mejia <mcitadel at gmail.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch that takes out some unnecessary tests and settings for an autobuild.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p0 < $0
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+--- Makefile~	2007-06-23 22:10:56.000000000 -0400
++++ Makefile	2007-06-23 22:14:52.000000000 -0400
+@@ -5,7 +5,7 @@
+ # Start of configurable options.
+ 
+ # Which compiler to use.
+-CC?=gcc
++CC=$(DEB_HOST_GNU_TYPE)-gcc
+ 
+ # Enable compilation optimizations when "yes".
+ OPTIMIZED_CFLAGS?=yes
+@@ -14,7 +14,7 @@
+ OPTIM_LVL?=3
+ 
+ # Path to standard libraries (e.g. jpeg).
+-LOCALBASE?=/usr/local
++#LOCALBASE?=/usr/local
+ 
+ # Path to X libraries (e.g. GL).
+ X11BASE?=/usr/X11R6
+@@ -45,11 +45,7 @@
+ NULL_DIR=		$(MOUNT_DIR)/null
+ ARENA_DIR=		$(GAME_DIR)
+ 
+-ifeq ($(ARCH),x86_64)
+-	_LIB := lib64
+-else
+-	_LIB := lib
+-endif
++_LIB := lib
+ 
+ BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include
+ 
+@@ -58,28 +54,6 @@
+ ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
+ RELEASE_CFLAGS+=-O$(OPTIM_LVL) -funroll-loops -fomit-frame-pointer \
+ 		-ftree-vectorize -fexpensive-optimizations
+-
+-ifeq ($(OSTYPE),linux)
+-ifeq ($(ARCH),x86_64)
+-	RELEASE_CFLAGS += -march=k8
+-else
+-ifeq ($(ARCH),i686)
+-	RELEASE_CFLAGS += -march=i686
+-else
+-ifeq ($(ARCH),i586)
+-	RELEASE_CFLAGS += -march=i586
+-else
+-ifeq ($(ARCH),i486)
+-	RELEASE_CFLAGS += -march=i486
+-else
+-ifeq ($(ARCH),i386)
+-	RELEASE_CFLAGS += -march=i386
+-endif
+-endif
+-endif
+-endif
+-endif
+-endif
+ endif
+ 
+ ARENA_CFLAGS=-DARENA
+@@ -92,7 +66,7 @@
+ LDFLAGS+=-ldl
+ endif
+ 
+-GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU
++GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU
+ 
+ SDLCFLAGS=$(shell sdl-config --cflags)
+ SDLLDFLAGS=$(shell sdl-config --libs)


Property changes on: packages/trunk/alien-arena/debian/patches/makefile_modifications.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-games-commits mailing list